Skip to main content
GET
/
api2
/
v1
/
connectors
/
{connectorId}
/
folders
/
{folder}
List files in a subfolder
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}/folders/{folder} \
  --header 'Authorization: <api-key>'
{
  "currentFolder": "<string>",
  "encodedCurrentFolder": "<string>",
  "files": [
    {
      "contentType": "<string>",
      "directory": true,
      "dueDate": "2023-11-07T05:31:56Z",
      "encodedName": "<string>",
      "error": {
        "code": "<string>",
        "message": "<string>"
      },
      "id": "<string>",
      "lastModified": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "note": "<string>",
      "selected": true,
      "size": 123,
      "uniqueIdentifier": "<string>"
    }
  ],
  "lastChangedFiles": [
    {
      "contentType": "<string>",
      "directory": true,
      "dueDate": "2023-11-07T05:31:56Z",
      "encodedName": "<string>",
      "error": {
        "code": "<string>",
        "message": "<string>"
      },
      "id": "<string>",
      "lastModified": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "note": "<string>",
      "selected": true,
      "size": 123,
      "uniqueIdentifier": "<string>"
    }
  ],
  "rootFolder": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

connectorId
string
required

Internal numeric ID of the connector

folder
string
required

Hex-encoded remote folder path

Query Parameters

projectUid
string

UID of a project; when provided, source and target locales are read from the project

sourceLocale
string

BCP 47 source locale; used when projectUid is not provided

fileType
enum<string>
default:ALL

Filter files by type

Available options:
ALL,
FILES_ONLY,
FOLDERS_ONLY
Pattern: ALL|FILES_ONLY|FOLDERS_ONLY
sort
enum<string>
default:NAME

Sort field

Available options:
NAME,
SIZE,
LAST_MODIFIED
Pattern: NAME|SIZE|LAST_MODIFIED
direction
enum<string>
default:ASCENDING

Sort direction

Available options:
ASCENDING,
DESCENDING
Pattern: ASCENDING|DESCENDING

Response

OK

currentFolder
string
encodedCurrentFolder
string
files
object[]
lastChangedFiles
object[]
rootFolder
boolean